> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API log by ID



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-api-logs/{id}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-api-logs/{id}:
    get:
      tags:
        - ExternalApiLogs
      summary: Get API log by ID
      operationId: getExternalApiLog
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogsDto'
components:
  schemas:
    LogsDto:
      type: object
      properties:
        id:
          type: string
        workspaceId:
          type: string
        tenantId:
          type: string
        integrationId:
          type: string
        connectionId:
          type: string
        externalAppId:
          type: string
        statusCode:
          type: number
        isSuccess:
          type: boolean
        s3Uri:
          type: string
        createdAt:
          type: string
        requestUrl:
          type: string
        duration:
          type: number
      required:
        - id
        - workspaceId
        - tenantId
        - integrationId
        - connectionId
        - statusCode
        - isSuccess
        - s3Uri
        - createdAt
        - requestUrl
        - duration
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````